Outil de développement

YAML

Un format de fichier simple pour éditer des listes de données

Préfixe : yaml
Utilisé dans 3204 sites
Mis à jour le 5 février 2020
SPIP 3.2

2.0.11 en test

Télécharger

Mis à jour le 5 février 2020

Compatible :
  • SPIP 3.0
  • SPIP 3.1
  • SPIP 3.2

Ce plugin fournit les fonctions de lecture/écriture du format YAML : yaml_decode() et yaml_encode(). Il fournit aussi le format yaml pour la boucle (DATA).

Fichier XML
Version
2.0.11
Compatiblité
SPIP ≥ 3.0.0 et ≤ 3.2.*
État
en test
Auteur
Fil, Eric Lupinacci
Crédits
yaml.org, Spyc, Symfony YAML v1 - Fabien Potencier, Symfony YAML v4 - Fabien Potencier, PECL YAML - The PHP Group, LibYAML
Licence
MIT
Module de langue
Langue référence
français
Gestionnaire
salvatore
Traductions
Deutsch (Torsten Willmann) , English (kent1) , Español (Raquel S. Bujaldón) , فارسى (Davood Hossein) , français , Nederlands (Hanjo) , Português do Brasil (Ricardo Porto) , русский (nazar, Serge Markitanenko) , slovenčina (jaro)
Archive
yaml_v2.zip
Taille
191.8 ko
Générée le
05-02-2020 17:46
Hébergée par
SPIP-Zone - Plugins
Nécessite les plugins
Pour SPIP ≥ 3.1.0 :
php ≥ 5.3.0

1.5.4 stable

Télécharger

Mis à jour le 20 décembre 2019

Compatible :
  • SPIP 2.0
  • SPIP 2.1
  • SPIP 3.0
  • SPIP 3.1
  • SPIP 3.2

Ce plugin fournit les fonctions de lecture/écriture du format YAML : yaml_decode() et yaml_encode(). Il fournit aussi le format yaml pour la boucle (DATA).

Fichier XML
Version
1.5.4
Compatiblité
SPIP ≥ 2.0.10 et ≤ 3.2.*
État
stable
Crédits
yaml.org, Spyc, Symfony YAML - Fabien Potencier
Licence
MIT
Archive
yaml.zip
Taille
46.7 ko
Générée le
20-12-2019 12:26
Hébergée par
SPIP-Zone - Plugins

Dernières modifications

  • Revision 122054  : [Salvatore] paquet-yaml Export depuis ​https://trad.spip.net de la langue fr [Salvatore] (...)
  • Revision 121506  : [Salvatore] paquet-yaml Export depuis ​https://trad.spip.net de la langue fr [Salvatore] (...)
  • Revision 116104  : Ajout des auteurs du plugin.
  • Revision 114381  : [Salvatore] paquet-yaml Export depuis ​http://trad.spip.net
  • Revision 112509  : Compat PHP 7.2 create_function deprecated
  • Revision 112287  : Alors en faite, le "necessite" php est dans spip depuis 3.1.0 ​https://core.spip.net/projects/spip/re
  • Revision 112273  : version 2.0.8 : ne pas tenter de détecter la version de PHP si on est sur SPIP < 3.2 ref (...)
  • Revision 110702  : Cosmétique du footer
  • Revision 110701  : amélioration des regex de détection des --- et …
  • Revision 110700  : Utiliser la lecture des inclusions quand cela est nécessaire

Messages de forum

  • 28 février 2019 : Merci pour le conseil et la très pratique page de test. Cela m’a permit de mettre le main sur le (...)
  • 28 février 2019 : Bonjour, Je ne reproduis pas du tout en passant à la librairie spyc. Peux-tu aller dans la démo (...)
  • 28 février 2019 : Un petit retour concernant l’utilisation du plugin SPIP 3.2.3 SVN [24210] + YAML 2.0.10 (...)
  • 13 décembre 2018 : tu cliques sur « Mettre à jour » et hop… Oups. Une erreur inattendue a empêché de soumettre le (...)
  • 13 décembre 2018 : c’est à dire ? que se passe-t-il exactement ?
  • 13 décembre 2018 : Avec SPIP 3.1.2 et YAML 2.0.9 impossible de faire la mise à jour vers la 2.0.10 via (...)
  • 15 juin 2018 : Pour résumer les mises à jour : l’exportation produit des fichiers conformes YAML tous (...)
  • 14 juin 2018 : Avec https://zone.spip.org/trac/spip-zone/changeset/110648 et la libYaml : import d’un (...)
  • 14 juin 2018 : Avec https://zone.spip.org/trac/spip-zone/changeset/110648 et la lib par défaut, ça marche (aussi (...)
  • 14 juin 2018 : Hello, Avec plaisir. Est-ce que tu veux que je le fasse ? ;-) ieconfig n’a pas besoin de (...)